Description: Est-il possible de créer une option dans la partie rapports et copies corrigées pour concaténer le fichier éléve

et le fichier corrigé individuel (avec ou sans I'option ensemble) ?

History

12/21/2020 10:27 am - Alexis Bienveniie

Quel est l'intérét par rapport a la copie annotée ?

12/21/2020 04:24 pm - Frédéric Bréal

La commande @\explain@ ne fonctionne qu'avec le mode corrigé.

Pour les éléves, je commente toutes les questions ouvertes ou numeériques ; par exemple, je démontre le calcul (j'utilise @\FPeval@) et j'imprime le
corrigé individuel en général en A5 recto-verso pour des économies.

L'objectif, c'est d'envoyer le sujet corrigé avec une correction détaillée.

Au college, je n'envoie pas par mail (pas le droit Iégalement) mais le logiciel pronote permet de déposer des fichiers pdf pour chaque éléve si le fichier

est sous la forme nom_prenom_.

Par contre, pour créer le fichier corrigé individuel afin que @\explain@ fonctionne, j'ai di faire une @\renewcommand@ ; je ne me souviens pas
laquelle, je n'ai pas acceés a mon pc pour trouver laquelle, mais quelqu'un sur le forum m'avait aidé. Il y a une commande comme @AMCcorrecthead@
que j'ai modifiée ; je I'ai notée dans la documentation.

03/06/2021 10:39 am - Gilles Le Bourhis

Gérard Carpeaux wrote:

> Est-il possible de créer une option dans la partie rapports et copies corrigées pour concaténer le fichier éléve et le fichier corrigé individuel (avec ou
sans |'option ensemble) ?

Avec des droits admin :

On peut faire une modif dans automultiplechoice.sty :

Rechercher la ligne "newcommand{\explain}[1]"

Dans la version 1.4, cela doit correspondre a la ligne 1157. Cette ligne est suivie par "ifAMC@correchead%"

Remplacer cette derniére par \fAMC@correc%

Sauvegarder ! Ainsi les commandes explain marchent dans les corrections individuelles et dans catalogue.

L'intérét est d'avoir des corrections individuelles si chaque étudiant a un sujet portant sur des questions différentes ou utilisant des nombres aléatoires,
voire pythontex.

10/22/2023 09:02 pm - Frédéric Bréal
Je remonte ma demande particuliére d’obtenir le corrigé individuel avec la copie annotée et les topics.
Avec l'envoi (pour moi en ce début d'année avec pronote), je n'aurai plus a imprimer de correction papier ni a les distribuer.

Merci

11/06/2023 07:09 pm - Alexis Bienveniie
- Status changed from New to Feedback
A essayer avec la nouvelle version test :

11/06/2023 07:10 pm - Alexis Bienvenlie
- File addcorrected.png added

laddcorrected.png!

11/06/2023 09:16 pm - Frédéric Bréal

Merci, merci !

Je ferai des tests ce week-end et modifierai la documentation.
Le seul test que j'ai fait c'est celui-ci

<pre>

\makeatletter

\renewcommand{\explain}[1}{ %

NifAMC@correc%
D\AMCif@env{question}{\par\noindent\AMC@loc@explain#1}}{\ AMC@error@explain}\vspace{1ex}%
D\else%

I\AMCif@env{question}{}{\AMC@error@explain}%

0\fi%

}

\makeatother

</pre>

Si je ne mets pas ce code I'argument n'apparait pas. Je ferai un rapport de débogage pour ¢a aussi.

11/06/2023 09:50 pm - Alexis Bienvenlie

Oui effectivement je vais également modifier cette commande @\explain@ pour qu'elle fonctionne pour la correction individuelle.

11/06/2023 09:58 pm - Alexis Bienveniie

A noter que si la correction individuelle a été fabriquée avec une version précédente d'AMC, il faut la refabriquer pour qu'elle puisse étre ajoutée aux

copies annotées.
